    PROGRAM nag_bessel_fun_ex06

      ! Example Program Text for nag_bessel_fun
      ! NAG fl90, Release 4. NAG Copyright 2000.

      ! .. Use Statements ..
      USE nag_examples_io, ONLY : nag_std_out
      USE nag_bessel_fun, ONLY : nag_bessel_j0, nag_bessel_j1
      ! .. Implicit None Statement ..
      IMPLICIT NONE
      ! .. Intrinsic Functions ..
      INTRINSIC KIND
      ! .. Parameters ..
      INTEGER, PARAMETER :: n = 8
      INTEGER, PARAMETER :: wp = KIND(1.0D0)
      ! .. Local Scalars ..
      INTEGER :: i
      REAL (wp) :: j0, j1
      ! .. Local Arrays ..
      REAL (wp) :: x(n)
      ! .. Executable Statements ..
      WRITE (nag_std_out,*) 'Example Program Results for nag_bessel_fun_ex06'

      WRITE (nag_std_out,*)
      WRITE (nag_std_out,*) '       x         J0(x)       J1(x)'

      x = (/ -1.0_wp, 0.0_wp, 0.5_wp, 1.0_wp, 3.0_wp, 6.0_wp, 10.0_wp, &
       1000.0_wp/)

      DO i = 1, n

        j0 = nag_bessel_j0(x(i))
        j1 = nag_bessel_j1(x(i))

        WRITE (nag_std_out,'(1X,1P,3E12.3)') x(i), j0, j1
      END DO

    END PROGRAM nag_bessel_fun_ex06
